Subject: Re: Linux 4.2 build error in net/netfilter/ipset/ip_set_hash_netnet.c

From: Guenter Roeck <[email-masked]>
Date: Sun, 5 Jul 2015 08:35:20 -0700

On Sat, Jul 04, 2015 at 12:44:36AM -0700, Vinson Lee wrote:
> Hi.
> 
> With the latest Linux 4.2-rc1, I am hitting this build error with GCC
> 4.4.7 on CentOS 6.
> 
>   CC      net/netfilter/ipset/ip_set_hash_netnet.o
> net/netfilter/ipset/ip_set_hash_netnet.c: In function ‘hash_netnet4_uadt’:
> net/netfilter/ipset/ip_set_hash_netnet.c:163: error: unknown field
> ‘cidr’ specified in initializer
> net/netfilter/ipset/ip_set_hash_netnet.c:163: warning: missing braces
> around initializer
> net/netfilter/ipset/ip_set_hash_netnet.c:163: warning: (near
> initialization for ‘e.<anonymous>.ip’)
> net/netfilter/ipset/ip_set_hash_netnet.c: In function ‘hash_netnet6_uadt’:
> net/netfilter/ipset/ip_set_hash_netnet.c:388: error: unknown field
> ‘cidr’ specified in initializer
> net/netfilter/ipset/ip_set_hash_netnet.c:388: warning: missing braces
> around initializer
> net/netfilter/ipset/ip_set_hash_netnet.c:388: warning: (near
> initialization for ‘e.ip[0]’)
> 
Previously fixed with commit 1a869205c75cb ("netfilter: ipset: The unnamed union
initialization may lead to compilation error"), reintroduced with commit
aff227581ed1a ("netfilter: ipset: Check CIDR value only when attribute is given").

Guenter
--
To unsubscribe from this list: send the line "unsubscribe netfilter-devel" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html